# Copyright (C) 2018 Dave Love UNiversity of Manchester
# Licence MIT, per Fedora policy

# Fixme: pnmpi-patch is crashing with buffer overflow
#%%global pnmpi 1

Name:		memp
Version:	1.0.3
Release:	1%{?dist}
Summary:	Parallel heap profiling library 
License:	BSD
URL:		https://sourceforge.net/projects/memp
Source0:	https://sourceforge.net/projects/memp/files/memP/memP-%version/memP-%version.tar.gz

BuildRequires:	openmpi-devel libdwarf-devel libunwind-devel binutils-devel
%{?pnmpi:BuildRequires:	pnmpi-openmpi-devel}
Requires:	openmpi%{?_isa}

%global desc \
memP is a parallel heap profiling library based on the mpiP MPI\
profiling tool.  The intent of memP is to identify the heap allocation\
that causes a task to reach its memory in use high water mark for each\
task in a parallel job.

%description
%desc

%prep
%setup -q -n memP-%version


%build
%_openmpi_load
%configure --with-clock_gettime --libdir=$MPI_LIB CPPFLAGS=-I. %{?pnmpi:LDFLAGS=-lpnmpi}
%make_build shared


%install
%_openmpi_load
%make_install
%{?pnmpi:pnmpi-patch %buildroot$MPI_LIB/libmemP.so %buildroot$MPI_LIB/pnmpi-modules/libmemP.so}
rm -r %buildroot%_docdir


%files
%doc doc/UserGuide.*
%exclude %_libdir/openmpi/lib/libmemP.a
%_libdir/openmpi/lib/libmemP.so
%{?pnmpi:%_libdir/openmpi/lib/pnmpi-modules/libmemP.so}


%changelog
* Mon Mar  5 2018  <loveshack@fedoraproject.org> - 1.0.3-1
- Initial packaging
